Skip to main content
GET
Get one repository's CI cost page

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Headers

X-CostGraph-Tenant-ID
string
required

Tenant ID

Query Parameters

organization
string
required

GitHub organization

repository
string
required

Repository name within the organization

period
enum<string>

Period preset

Available options:
month_to_date,
last_7d,
last_30d,
calendar_month,
custom
month
string

Month for calendar_month, YYYY-MM

start
string

Period start, RFC 3339, for custom

end
string

Period end, RFC 3339, for custom

workflow
string

Limit the page to one workflow by name

workflow_path
string

Limit the page to one workflow by file path, for names shared across files

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object